net.minecraft.entity

## Enum EnumCreatureType

- java.lang.Object
- - java.lang.Enum<EnumCreatureType>
  - - net.minecraft.entity.EnumCreatureType

- All Implemented Interfaces:
    Serializable, Comparable<EnumCreatureType>

      public enum EnumCreatureType
      extends Enum<EnumCreatureType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ambient`
    `creature`
    `monster`
    `waterCreature`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAnimal()` Return whether this creature type is an animal.
    `Class` | `getCreatureClass()`
    `Material` | `getCreatureMaterial()`
    `int` | `getMaxNumberOfCreature()`
    `boolean` | `getPeacefulCreature()` Gets whether or not this creature type is peaceful.
    `static EnumCreatureType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EnumCreatureType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### monster

          public static final EnumCreatureType monster

    - #### creature

          public static final EnumCreatureType creature

    - #### ambient

          public static final EnumCreatureType ambient

    - #### waterCreature

          public static final EnumCreatureType waterCreature

  - ### Method Detail

    - #### values

          public static EnumCreatureType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumCreatureType c : EnumCreatureType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumCreatureType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCreatureClass

          public Class getCreatureClass()

    - #### getMaxNumberOfCreature

          public int getMaxNumberOfCreature()

    - #### getCreatureMaterial

          public Material getCreatureMaterial()

    - #### getPeacefulCreature

          public boolean getPeacefulCreature()

      Gets whether or not this creature type is peaceful.

    - #### getAnimal

          public boolean getAnimal()

      Return whether this creature type is an animal.